Package org.apache.drill.jdbc

# Class InvalidParameterSqlException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.sql.SQLException
java.sql.SQLNonTransientException
org.apache.drill.jdbc.JdbcApiSqlException
org.apache.drill.jdbc.InvalidParameterSqlException

All Implemented Interfaces:
  `Serializable`, `Iterable<Throwable>`

public class InvalidParameterSqlException extends JdbcApiSqlException
`JdbcApiSqlException` for invalid-parameter-value conditions.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`InvalidParameterSqlException(String reason)`
See `JdbcApiSqlException(String)`.
`InvalidParameterSqlException(String reason, String SQLState)`
See `JdbcApiSqlException(String, String)`.
`InvalidParameterSqlException(String reason, String SQLState, int vendorCode)`
See `JdbcApiSqlException(String, String, int)`.
`InvalidParameterSqlException(String reason, String sqlState, int vendorCode, Throwable cause)`
See `JdbcApiSqlException(String, String, int, Throwable)`.
`InvalidParameterSqlException(String reason, String sqlState, Throwable cause)`
See `JdbcApiSqlException(String, String, Throwable)`.
`InvalidParameterSqlException(String reason, Throwable cause)`
See `JdbcApiSqlException(String, Throwable)`.
`InvalidParameterSqlException(Throwable cause)`
See `JdbcApiSqlException(Throwable cause)`.

## Method Summary

### Methods inherited from class java.sql.SQLException

`getErrorCode, getNextException, getSQLState, iterator, setNextException`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Constructor Details

### InvalidParameterSqlException

public InvalidParameterSqlException(String reason, String SQLState, int vendorCode)
See `JdbcApiSqlException(String, String, int)`.

### InvalidParameterSqlException

public InvalidParameterSqlException(String reason, String SQLState)
See `JdbcApiSqlException(String, String)`.

### InvalidParameterSqlException

public InvalidParameterSqlException(String reason)
See `JdbcApiSqlException(String)`.

### InvalidParameterSqlException

public InvalidParameterSqlException(Throwable cause)
See `JdbcApiSqlException(Throwable cause)`.

### InvalidParameterSqlException

public InvalidParameterSqlException(String reason, Throwable cause)
See `JdbcApiSqlException(String, Throwable)`.

### InvalidParameterSqlException

public InvalidParameterSqlException(String reason, String sqlState, Throwable cause)
See `JdbcApiSqlException(String, String, Throwable)`.

### InvalidParameterSqlException

public InvalidParameterSqlException(String reason, String sqlState, int vendorCode, Throwable cause)
See `JdbcApiSqlException(String, String, int, Throwable)`.